Package com.collibra.dgc.core.api.dto.instance.relation

# Class ChangeRelationRequest

Object
ChangeRelationRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeRelationRequest extends Object implements Serializable
The properties of the relation to be changed

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeRelationRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeRelationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeRelationRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Long`
  `getEndingDate()`
  Deprecated.
  To be removed without replacement.
  `UUID`
  `getId()`
  Required. The ID of the relation that will be changed.
  `UUID`
  `getSourceId()`
  The ID of the new source for the relation.
  `Long`
  `getStartingDate()`
  Deprecated.
  To be removed without replacement.
  `UUID`
  `getTargetId()`
  The ID of the new target for the relation.
  `int`
  `hashCode()`
  `void`
  `setEndingDate(Long endingDate)`
  Deprecated.
  To be removed without replacement.
  `void`
  `setId(UUID id)`
  Required. The ID of the relation that will be changed.
  `void`
  `setSourceId(UUID sourceId)`
  The ID of the new source for the relation.
  `void`
  `setStartingDate(Long startingDate)`
  Deprecated.
  To be removed without replacement.
  `void`
  `setTargetId(UUID targetId)`
  The ID of the new target for the relation.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeRelationRequest

    public ChangeRelationRequest()

- ## Method Details

  - ### builder

    public static ChangeRelationRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the relation that will be changed.

    Silently ignored if the ID is provided as path parameter of the request.

  - ### getSourceId

    public UUID getSourceId()
    The ID of the new source for the relation.

  - ### getTargetId

    public UUID getTargetId()
    The ID of the new target for the relation.

  - ### getStartingDate

    @Deprecated public Long getStartingDate()
    Deprecated.
    To be removed without replacement.
    The new starting date for the relation.

  - ### getEndingDate

    @Deprecated public Long getEndingDate()
    Deprecated.
    To be removed without replacement.
    The new ending date for the relation.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the relation that will be changed.

    Silently ignored if the ID is provided as path parameter of the request.

  - ### setSourceId

    public void setSourceId(UUID sourceId)
    The ID of the new source for the relation.

  - ### setTargetId

    public void setTargetId(UUID targetId)
    The ID of the new target for the relation.

  - ### setStartingDate

    @Deprecated public void setStartingDate(Long startingDate)
    Deprecated.
    To be removed without replacement.
    The new starting date for the relation.

  - ### setEndingDate

    @Deprecated public void setEndingDate(Long endingDate)
    Deprecated.
    To be removed without replacement.
    The new ending date for the relation.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`